API Reference
Hanzo DB API
Hanzo DB provides serverless PostgreSQL with instant branching, autoscaling
Hanzo DB provides serverless PostgreSQL with instant branching, autoscaling
| |
|---|
| Base URL | https://db.hanzo.ai |
| Version | 1.0.0 |
| Operations | 30 |
bearerAuth — HTTP bearer
BearerAuth — HTTP bearer
All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.
curl -H "Authorization: Bearer $HANZO_API_KEY" https://db.hanzo.ai
| Method | Endpoint | Description |
|---|
GET | /v1/db/projects/{id}/branches | List branches |
POST | /v1/db/projects/{id}/branches | Create branch |
GET | /v1/db/projects/{id}/branches/{branch_id} | Get branch |
DELETE | /v1/db/projects/{id}/branches/{branch_id} | Delete branch |
POST | /v1/db/projects/{id}/branches/{branch_id}/restore | Point-in-time restore |
| Method | Endpoint | Description |
|---|
GET | /v1/db/consumption | Get usage metrics |
| Method | Endpoint | Description |
|---|
GET | /v1/db/projects/{id}/databases | List databases |
POST | /v1/db/projects/{id}/databases | Create database |
GET | /v1/db/projects/{id}/databases/{name} | Get database |
PUT | /v1/db/projects/{id}/databases/{name} | Update database |
DELETE | /v1/db/projects/{id}/databases/{name} | Delete database |
| Method | Endpoint | Description |
|---|
GET | /v1/db/projects/{id}/endpoints | List compute endpoints |
POST | /v1/db/projects/{id}/endpoints | Create compute endpoint |
GET | /v1/db/projects/{id}/endpoints/{endpoint_id} | Get compute endpoint |
PUT | /v1/db/projects/{id}/endpoints/{endpoint_id} | Update compute endpoint |
DELETE | /v1/db/projects/{id}/endpoints/{endpoint_id} | Delete compute endpoint |
POST | /v1/db/projects/{id}/endpoints/{endpoint_id}/start | Start compute endpoint |
POST | /v1/db/projects/{id}/endpoints/{endpoint_id}/suspend | Suspend compute endpoint |
| Method | Endpoint | Description |
|---|
GET | /v1/db/projects/{id}/operations | List operations |
| Method | Endpoint | Description |
|---|
GET | /v1/db/projects | List projects |
POST | /v1/db/projects | Create project |
GET | /v1/db/projects/{id} | Get project |
PUT | /v1/db/projects/{id} | Update project |
DELETE | /v1/db/projects/{id} | Delete project |
GET | /v1/db/projects/{id}/connection_uri | Get connection URI |
| Method | Endpoint | Description |
|---|
GET | /v1/db/projects/{id}/roles | List roles |
POST | /v1/db/projects/{id}/roles | Create role |
GET | /v1/db/projects/{id}/roles/{name} | Get role |
DELETE | /v1/db/projects/{id}/roles/{name} | Delete role |
POST | /v1/db/projects/{id}/roles/{name}/reset_password | Reset role password |
All Hanzo APIs · OpenAPI spec
How is this guide?